[meta-rockchip][PATCH] rock-pi-e: override syntax fixup


Trevor Woerner
 

The _virtual notation is not an override. These syntax "fixes" need to be
reverted.

In the case of the kernel override, when it was added, the rock-pi-e needed
the latest kernel (linux-yocto-dev) but now the default linux-yocto kernel
will suffice. So this mistake actually switched the rock-pi-e from
linux-yocto-dev back to linux-yocto inadvertently but at a time when
linux-yocto-dev was no longer required.

In the case of the bootloader override, u-boot was always the default, so this
override was always redundant.

Therefore, in the end, simply removing both these overrides is the best way
forward.

Signed-off-by: Trevor Woerner <twoerner@...>
---
conf/machine/rock-pi-e.conf | 2 --
1 file changed, 2 deletions(-)

diff --git a/conf/machine/rock-pi-e.conf b/conf/machine/rock-pi-e.conf
index 7f49c9f..0e2856f 100644
--- a/conf/machine/rock-pi-e.conf
+++ b/conf/machine/rock-pi-e.conf
@@ -7,9 +7,7 @@ require conf/machine/include/rk3328.inc

MACHINEOVERRIDES =. "rock-pi-e:"

-PREFERRED_PROVIDER:virtual/kernel = "linux-yocto-dev"
KERNEL_DEVICETREE = "rockchip/rk3328-rock-pi-e.dtb"
MACHINE_EXTRA_RRECOMMENDS += "kernel-modules"

-PREFERRED_PROVIDER:virtual/bootloader = "u-boot"
UBOOT_MACHINE = "rock-pi-e-rk3328_defconfig"
--
2.34.1.75.gabe6bb3905

Join yocto@lists.yoctoproject.org to automatically receive all group messages.